apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: harbor-admin
spec:
  refreshInterval: 240m
  secretStoreRef:
    name: vault
    kind: ClusterSecretStore
  target:
    name: es-harbor-admin
  data:
  - secretKey: password
    remoteRef:
      key: shuttle/harbor
      property: admin-password

